# pyconn3
pyconn3 is a tool set which include:
* Connect and query kdb+, Oracle database
* Send message via `wechat`

# Requirements
- Python 3.6+
- qpython
- pandas
- numpy
- cx_Oracle

# Usage

## Query kdb+
```
from pyconn.db.kdb import KDB
from pyconn.db.kdb import Server

db = Server()
db.name = "DBNAME"
db.host = "127.0.0.1"
db.port = 8888
db.username = "username"
db.password = "password"

q = KDB(server=db)
q.get_conn()
result = q.query_sync("{:1+1}[]")
```

## Query Oracle
```
from pyconn.db.oracle import ORACLE
from pyconn.db.oracle import OracleServerInfo

db = OracleServerInfo()
db.name = "db name"
db.sid = "oracle sid"
db.username = "username"
db.password = "password"

q = ORACLE(server=db)
sql_str = "select * from t"
result = q.query(sql_str)
```
